* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

html, body {
	width: 100%;
	height: 100%;
}

body {
	display: flex;
	justify-content: center;
	border: 1px solid red;
}

.wrapper {
	display: flex;
	width: 80%;
	flex-direction: column;
	background-color: rgb(0, 96, 65);
	border: 1px solid blue;
}

header {
	display: flex;
	flex: 1;
	flex-direction: column;
	align-items: center;
}

.header-footer-headings {
	display: flex;
	justify-content: center;
	align-items: center;
	flex: 1;
	color: white;
}

#authors-header {
	color: black;
	width: 50%;
	height: 50%;

}

#authors-header span {
	background-color: rgb(255, 221, 153);
	border-radius: 5px;
	padding: 3px;
}

main {
	display: flex;
	flex-direction: column;
	flex: 6;
	padding: 1em;
	gap: 0.5em;
	background-color: rgb(179, 255, 179);
}

#options {
	flex: 1;
	background-color: white;
	border: 2px dotted red;
	border-radius: 15px;
	padding: 5px;
}

form {
	display: flex;
	justify-content: space-evenly;
	align-items: center;
	height: 100%;
}

#colourOptionsInnerDiv {
	display: flex;
}

.radioButtons {
	display: flex;
	flex-direction: column;
}

.optionsWrapperDiv {
	display: flex;
	flex-direction: column;
}

#tableDifficultyOptionsDiv {
	display: flex;
}

#main-gui {
	display: flex;
	flex: 4;
	background-color: rgb(191, 191, 191);
	border: 2px solid red;
	border-radius: 15px;
	padding: 1em;
	gap: 1em;
}

#game-statistics {
	flex: 1;
	background-color: white;
	border-radius: 15px;
	display: flex;
	flex-direction: column;
}

#top-half-statistics {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: space-evenly;
	flex: 1;
}

#timer {
	background-color: rgb(0, 96, 65);
	color: white;
	width: 50%;
	border-radius: 15px;
}

#timer p, #timer h3{
	text-align: center;
}

#startPuzzleButton {
	width: 35%;
	border-radius: 15px;
	padding: 2px;
	background-color: red;
	color: white;
}

.stats-buttons {
	background-color: red;
	border-radius: 30px;
	color: white;
	padding: 5px;
	font-weight: bold;
}

#stats-table-div {
	flex: 1;
	margin: auto;
	overflow: auto;
}

#statistics-table {
	border: none;
	padding: 0;
}

#statistics-table th {
	background-color: greenyellow;
}

#game-interface {
	display: flex;
	flex: 2;
	flex-direction: column;
	background-color: rgb(179, 255, 179);
	border-radius: 15px;
	padding: 1em;
	gap: 1em;
}

#submit-section {
	flex: 1;
	border: 2px solid darkred;
	border-radius: 15px;
	display: flex;
	padding: 10px;
}

#submit-paragraph {
	flex: 4;
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
}

#submitBoxFirstColour {
	background-color: red;
	border-radius: 10px;
	padding: 5px;
}

#submitScoreButton {
	flex: 1;
	border-radius: 30px;
	background-color: red;
	color: white;
	font-weight: bold;
}

#game-table-section {
	flex: 4;
	display: flex;
	border: 1px solid darkred;
}

footer {
	display: flex;
	flex: 0.5;
	text-align: center;
	justify-items: center;
}